For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Package Quantity

Set the quantity of an item in the basket

You will provide the basket and package ID being modified and a quantity value reflecting the user's desired quantity of that package.

The user must be authorized before package quantities can be changed, otherwise the request will fail. See Authorize a Basket

Update package quantity

put

Sets the quantity of the given item in the basket. The user must be logged in before the quantity can be changed.

Path parameters
basketIdentstringRequired

The basket identifier.

Example: c00244-d2ac2e77418a55b25292a6bc7a719ad9c529ba2c
Body
quantityintegerOptionalExample: 1
Responses
200

Successful response.

No content

put/{basketIdent}/packages/{packageId}
PUT /api/baskets/{basketIdent}/packages/{packageId} HTTP/1.1
Host: headless.tebex.io
Content-Type: application/json
Accept: */*
Content-Length: 14

{
  "quantity": 1
}

No content

Last updated